Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
RagTime5StructManager::FieldParser Struct Reference

virtual class use to parse the field data More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::FieldParser:

## Public Member Functions
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field More...
virtual bool | parseField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a field More...

## Public Attributes
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Protected Attributes
std::string | m_name
| the field name More...

## Private Member Functions
| FieldParser (FieldParser const &orig)
FieldParser & | operator= (FieldParser const &orig)

## Detailed Description

virtual class use to parse the field data

## Constructor & Destructor Documentation

## ◆ FieldParser() [1/2]

RagTime5StructManager::FieldParser::FieldParser | ( | std::string const & | zoneName | ) |
| inline explicit

constructor

## ◆ ~FieldParser()

RagTime5StructManager::FieldParser::~FieldParser | ( |  | ) |
| virtual

destructor

## ◆ FieldParser() [2/2]

RagTime5StructManager::FieldParser::FieldParser | ( | FieldParser const & | orig | ) |
| private

## Member Function Documentation

## ◆ getZoneName() [1/2]

virtual std::string RagTime5StructManager::FieldParser::getZoneName | ( |  | ) | const
| inline virtual

return the debug name corresponding to a zone

Referenced by RagTime5Parser::readStructData(), and RagTime5Parser::readStructZone().

## ◆ getZoneName() [2/2]

virtual std::string RagTime5StructManager::FieldParser::getZoneName | ( | int | n | ) | const
| inline virtual

return the debug name corresponding to a field

Reimplemented in RagTime5StyleManagerInternal::TextFieldParser, RagTime5StyleManagerInternal::GraphicFieldParser, and RagTime5StyleManagerInternal::ColorFieldParser.

## ◆ operator=()

FieldParser& RagTime5StructManager::FieldParser::operator= | ( | FieldParser const & | orig | ) |
| private

## ◆ parseField()

virtual bool RagTime5StructManager::FieldParser::parseField | ( | Field & | field,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a field

Reimplemented in RagTime5StructManager::GObjPropFieldParser, RagTime5StyleManagerInternal::TextFieldParser, RagTime5StyleManagerInternal::GraphicFieldParser, RagTime5ParserInternal::DocInfoFieldParser, and RagTime5StyleManagerInternal::ColorFieldParser.

Referenced by RagTime5Parser::readStructData().

## ◆ parseHeaderField()

virtual bool RagTime5StructManager::FieldParser::parseHeaderField | ( | Field & | field,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a header field

Reimplemented in RagTime5StyleManagerInternal::TextFieldParser, and RagTime5StyleManagerInternal::GraphicFieldParser.

Referenced by RagTime5Parser::readStructData().

## Member Data Documentation

## ◆ m_name

std::string RagTime5StructManager::FieldParser::m_name
| protected

the field name

## ◆ m_regroupFields

bool RagTime5StructManager::FieldParser::m_regroupFields

a flag use to decide if we output one debug message by field or not

Referenced by RagTime5StyleManagerInternal::ColorFieldParser::ColorFieldParser(), RagTime5StyleManagerInternal::GraphicFieldParser::GraphicFieldParser(), and RagTime5Parser::readStructData().

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx